Bug 83977 - Changing paragraph style in table across a selection containing repeating header row results in only first cell in range being changed.
Summary: Changing paragraph style in table across a selection containing repeating hea...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.0.0 target:4.3.7 target:4.4.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-09-17 10:38 UTC by olex
Modified: 2015-12-17 08:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description olex 2014-09-17 10:38:53 UTC
Impossible change paragraph setting for whole table with repeating row.
Selected table unselects after opening paragraph dialog.
Comment 1 Owen Genat (retired) 2014-09-28 07:53:02 UTC
Please create and attach a basic example and provide clear instructions on the steps to take to reproduce the problem. Status set to NEEDINFO. Set the status back to UNCONFIRMED once the requested information is provided. Thanks.
Comment 2 olex 2014-09-30 17:47:52 UTC
1. Create new writer document.
2. Insert table with 2 columns and 60 rows.
3. Set repeating heading by the first 1 rows.
4. Select whole table.
5. Select "Format/Paragraph".
6. Try to set spacing above and below paragraph in 0.5 cm (or any other format settings).
7. Look at the result.
Comment 3 Owen Genat (retired) 2014-10-01 15:51:43 UTC
Thanks for clarifying. I see what you mean. Only the header row is adjusted by the change and only the left header row at that. Tested under GNU/Linux using:

v3.3.4.1 OOO330m19 Build: 401
v3.4.6.2 OOO340m1 Build: 602
v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
v3.6.7.2 Build ID: e183d5b
v4.0.6.2 Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24
v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
v4.2.6.3 Build ID: 3fd416d4c6db7d3204c17ce57a1d70f6e531ee21
v4.3.2.2 Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d
v4.4.0.0.alpha0+ Build ID: df73f4115cfe4d07e4159adf087571687eb173ec TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-09-25_23:06:16

Works as expected in v3.3-3.6, in v4.0-4.4 the problem as described is evident. Status set to NEW. Summary amended for clarity. Version set to 4.0.6.2. Operating system set to All.
Comment 4 tmacalp 2014-12-12 15:55:11 UTC
I'm updating the description, since this bug isn't limited to "Changing paragraph spacing (above/below)," but applies to any setting used in the format->paragraph dialog.  Also, it doesn't require the "whole table" to trigger, just as long as your selection passes a repeated heading row.  As soon as you open the paragraph dialog, your selection is lost and you'll notice your selection has been limited to the contents of the first cell in your original range.  In the original description, this happened to be the header row.

I have bibisected:

6d5c8da992dd6f7af0bda654787652a9221659e8 is the first bad commit
commit 6d5c8da992dd6f7af0bda654787652a9221659e8
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Mon Dec 10 15:58:33 2012 +0000

    source-hash-4df639baacd871cb2793e75dd9721ad2ae715e20
    
    commit 4df639baacd871cb2793e75dd9721ad2ae715e20
    Author:     Norbert Thiebaud <nthiebaud@gmail.com>
    AuthorDate: Sat Sep 29 02:34:58 2012 -0500
    Commit:     Norbert Thiebaud <nthiebaud@gmail.com>
    CommitDate: Sat Sep 29 02:43:29 2012 -0500
    
        add apache_commons to tail_build
    
        Change-Id: I0365a5170011ad44b9a0ab8f1129a756884694d5

:100644 100644 66afa24b4b34cc1d198b4a9564ede557456555c3 0a27364dbfe85236f5a07a9baeb2ce5dc923140f M      autogen.log
:100644 100644 592002353c9c447688ae5ed55b4ec616e85568a3 59e71ae19992a0d27f4cd5a0660f4d0ae6a6baa9 M      ccache.log
:100644 100644 0b4eee5b69c2cc366273a7e684ebea96d6a49004 5cf4528dc90d7fb24081eba730189499b41b3364 M      commitmsg
:100644 100644 1424b8601b3a84d22208d2ad9fa54bd6aa940713 ae40a46c4d748e32f497c8be5421282bba577ac9 M      dev-install.log
:100644 100644 99903952fe667006084e3f44517e56af706a6fcf 31ff34b5efe337e22e4987f46b328e59bc699817 M      make.log
:040000 040000 1b572f2dde3a8e76bcad94e0fba6e0632bfcab87 b9e6f554ff60c2a6fdbdc177bcc35d9d7160a9b5 M      opt



$ git bisect log
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# bad: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect bad 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# bad: [51b63dca7427db64929ae1885d7cf1cc7eb0ba28] source-hash-806d18ae7b8c241fe90e49d3d370306769c50a10
git bisect bad 51b63dca7427db64929ae1885d7cf1cc7eb0ba28
# good: [446a69834acf747d9d18841ec583512ae8fa42e7] source-hash-06a8ca9339f02fccf6961c0de77c49673823b35f
git bisect good 446a69834acf747d9d18841ec583512ae8fa42e7
# bad: [2f701cd5a012710b5a360239b7078ca3b23206ab] source-hash-e9960f36675a025c0536dec30ae56c50f4adecb1
git bisect bad 2f701cd5a012710b5a360239b7078ca3b23206ab
# bad: [12d0e3ae5464de93295e16f9b4d18de1aa3fca35] source-hash-ee34432562393a4549e9e77f71146e43c5d02233
git bisect bad 12d0e3ae5464de93295e16f9b4d18de1aa3fca35
# good: [8bbb7fdee456f8cd35d6d96ad85101c04eb1e064] source-hash-fba5febdf60b37be69d2ffc66445d3e324826346
git bisect good 8bbb7fdee456f8cd35d6d96ad85101c04eb1e064
# bad: [8a8370d143cc6c103ed5bf21b849bb7b8309618d] source-hash-69222d71221d0ec81a3dbf01789456bcf2dde0da
git bisect bad 8a8370d143cc6c103ed5bf21b849bb7b8309618d
# bad: [6d5c8da992dd6f7af0bda654787652a9221659e8] source-hash-4df639baacd871cb2793e75dd9721ad2ae715e20
git bisect bad 6d5c8da992dd6f7af0bda654787652a9221659e8
# first bad commit: [6d5c8da992dd6f7af0bda654787652a9221659e8] source-hash-4df639baacd871cb2793e75dd9721ad2ae715e20
Comment 5 Matthew Francis 2014-12-31 03:08:24 UTC
Not obvious why this would be the case, but source bisection shows that the below commit is where the behaviour changed

Adding Cc: to caolanm@redhat.com. Could you possibly take a look at this? Thanks

commit 004369c76a3c43a478d668521bf7cee3176bf5d7
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Tue Feb 7 09:20:47 2012 +0000

    force all tabs to exist when layout enabled
Comment 6 Caolán McNamara 2015-04-03 15:00:04 UTC
I believe the dropcaps page resets the selection, and so the original selected full area is lost.
Comment 7 Commit Notification 2015-04-03 15:28:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c4a9767f7fb0c7891f1dd96cbe38a9c35e46083

Resolves: tdf#83977 Push/Pop before/after messing with the cursor

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2015-04-03 15:33:11 UTC
The same problem can be reproduced all the way back in time with the same table and format->paragraph and clicking on the "dropcaps" tab
Comment 9 Commit Notification 2015-04-08 14:10:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2f68b5bf53bbcd95a88b8372214546897ac4e64&h=libreoffice-4-3

Resolves: tdf#83977 Push/Pop before/after messing with the cursor

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-04-08 16:47:31 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3629a6a3706febac5a444e77003f4959126fe6f5&h=libreoffice-4-4

Resolves: tdf#83977 Push/Pop before/after messing with the cursor

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Robinson Tryon (qubit) 2015-12-17 08:35:45 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]